Source: python-flasgger
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 python3-flask,
 python3-jsonschema,
 python3-mistune,
 python3-pytest,
 python3-setuptools,
 python3-yaml,
 libjs-jquery
Standards-Version: 4.6.2
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/flasgger/flasgger/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-flasgger.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flasgger

Package: python3-flasgger
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libjs-jquery
Description: Extract swagger specs from your flask project
 Flasgger is a Flask extension to extract OpenAPI-Specification from all
 Flask views registered in your API.
 It also comes with SwaggerUI embedded so you can access
 http://localhost:5000/apidocs and visualize and interact
 with your API resources.
 It also provides validation of the incoming data, using the same specification
 it can validates if the data received as a POST, PUT, PATCH is valid against
 the schema defined using YAML, Python dictionaries or Marshmallow Schemas.
 Flasgger can work with simple function views or MethodViews using docstring
 as specification, or using @swag_from decorator to get specification from
 YAML or dict and also provides SwaggerView which can use
 Marshmallow Schemas as specification.
